Last Comment Bug 684599 - crash nsDeviceMotion::DeviceMotionChanged
: crash nsDeviceMotion::DeviceMotionChanged
Status: VERIFIED FIXED
[qa!]
: crash, regression, testcase, verified-aurora, verified-beta
Product: Core
Classification: Components
Component: DOM (show other bugs)
: 8 Branch
: x86 Mac OS X
: -- critical (vote)
: mozilla9
Assigned To: Josh Matthews [:jdm]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-04 10:46 PDT by Dirkjan Ochtman (:djc)
Modified: 2014-07-18 03:41 PDT (History)
10 users (show)
khuey: in‑testsuite?
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed


Attachments
Avoid null dereference when chacking if a window's in the background. (1.16 KB, patch)
2011-09-04 11:57 PDT, Josh Matthews [:jdm]
bugs: review+
bugzilla: approval‑mozilla‑aurora+
bugzilla: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Dirkjan Ochtman (:djc) 2011-09-04 10:46:35 PDT
This bug was filed from the Socorro interface and is 
report bp-e3071077-b38d-4f2a-a7d4-a9dbe2110904 .
============================================================= 

I've had this crash 4 times over two days; this is the first time I've had it. It seems to be related to scrolling events. I'm running OS X Lion 10.7.1 and latest Aurora.

https://crash-stats.mozilla.com/report/index/bp-6062067e-13e5-41d0-b33d-8f29c2110903
https://crash-stats.mozilla.com/report/index/bp-1a4c29fb-dad6-48e3-8872-a956b2110904
http://crash-stats.mozilla.com/report/index/bp-a9bee1df-4d98-4315-8b27-4b5242110903

(The associated bug states that everything after that fix should be considered separate, so here I am.)
Comment 1 Kevin Brosnan [:kbrosnan] 2011-09-04 10:47:21 PDT

*** This bug has been marked as a duplicate of bug 673472 ***
Comment 2 Dirkjan Ochtman (:djc) 2011-09-04 11:03:13 PDT
kbrosnan, did you have a particular reason to ignore bug 673472 comment 15?

https://bugzilla.mozilla.org/show_bug.cgi?id=673472#c15
Comment 3 Josh Matthews [:jdm] 2011-09-04 11:04:42 PDT
The buildid says it's from a Sept 2nd build, so this looks like a crash that needs addressing. Dirkjan, any further details about when this reproduces?
Comment 4 Dirkjan Ochtman (:djc) 2011-09-04 11:12:22 PDT
I had a scenario to reproduce after each crash:

1. Restore session (with 4 app tabs and 4 normal tabs)
2. Open new tab
3. In new tab, google for simplejson
4. Click link to http://undefined.org/python/
5. Try to hit the github link under simplejson
6. Crash before getting to click the link

However, at some point, instead of restoring the session, I started clean, opened up all my (app + normal) tabs again, and now it seems to work without crashing.

My previous instance of this had a similar way of reoccurring after the crash, when I tried to do the exact same thing. Ah, see the comment I left on the 606* crash, that also had something to do with github (though in this case I didn't even get to github before crashing). So I guess the first time I had it was not yesterday but this morning; should be a recent regression.
Comment 5 Josh Matthews [:jdm] 2011-09-04 11:46:17 PDT
Thanks for the hint. I was able to reproduce it by opening up two tabs to the github 404 page, refreshing them both, and closing them.
Comment 6 Josh Matthews [:jdm] 2011-09-04 11:54:19 PDT
This is a regression from bug 678818.
Comment 7 Josh Matthews [:jdm] 2011-09-04 11:57:09 PDT
Created attachment 558176 [details] [diff] [review]
Avoid null dereference when chacking if a window's in the background.

This code just keeps on giving, doesn't it?
Comment 9 Dirkjan Ochtman (:djc) 2011-09-04 13:14:24 PDT
Should there be some flag set to make sure this goes into Aurora, or does that only happen after landing onto mozilla-central?
Comment 10 Doug Turner (:dougt) 2011-09-04 14:19:10 PDT
smaug, how can the outer window ever be null here?  I thought inners always have outers?

jdm - yes, giving and giving and giving.
Comment 11 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-09-05 04:54:51 PDT
I hit this today, and interesting it didn't trigger breakpad (I got the MS dialog and dropped into the debugger).
Comment 12 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-09-05 05:02:47 PDT
http://hg.mozilla.org/mozilla-central/rev/81ebc148aad3
Comment 13 Robert Kaiser 2011-09-06 07:53:18 PDT
*** Bug 673472 has been marked as a duplicate of this bug. ***
Comment 14 Robert Kaiser 2011-09-06 07:54:41 PDT
Flagging for 8 as it appears in crash stats there. I know approval has been requested already, I just don't want to lose track of it. :)
Comment 15 Josh Matthews [:jdm] 2011-09-07 10:23:19 PDT
Can someone push this to aurora and beta for me, please?
Comment 16 Mark Finkle (:mfinkle) (use needinfo?) 2011-09-07 12:21:48 PDT
(In reply to Josh Matthews [:jdm] from comment #15)
> Can someone push this to aurora and beta for me, please?

Pushing
Comment 17 juan becerra [:juanb] 2011-09-09 15:01:33 PDT
We'll need to verify this on aurora and beta when it lands. Use the information in comment #4 and #5 to verify.
Comment 18 christian 2011-09-15 12:15:47 PDT
This looks to have landed everywhere, marking as fixed everywhere.
Comment 19 Vlad [QA] 2011-09-23 04:32:44 PDT
Setting resolution to Verified Fixed on:
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:7.0) Gecko/20100101 Firefox/7.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:8.0a2) Gecko/20110921 Firefox/8.0a2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0a1) Gecko/20110922 Firefox/9.0a1

I've verified this following the steps from comment4 and I forced quit firefox from the Activity Monitor to get the Retore Tab. On all three channels I got no crash.

Note You need to log in before you can comment on or make changes to this bug.